> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# レビュータスク結果を取得

> レビュータスク結果を取得します



## OpenAPI

````yaml /docflow-global/ja/rest-api/openapi.bundle.yaml post /api/app-api/sip/platform/v2/review/task/result
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API。ファイルアップロードとファイル処理結果の取得機能を提供します。
  version: 2.8.4
  contact:
    name: TextIn
    url: https://www.textin.ai/contact?type=27&sub_type=1
servers:
  - url: https://docflow.textin.ai
security:
  - ApiId: []
    SecretCode: []
tags:
  - name: ワークスペース管理
    description: ワークスペース関連 API
  - name: ファイルカテゴリ
    description: ファイルカテゴリ関連 API
  - name: ファイルカテゴリサンプル
    description: ファイルカテゴリサンプル関連 API
  - name: スマートレビュー
    description: スマートレビュー関連 API
  - name: 廃止済み
    description: 廃止済み API
paths:
  /api/app-api/sip/platform/v2/review/task/result:
    post:
      tags:
        - スマートレビュー
      summary: レビュータスク結果を取得
      description: レビュータスク結果を取得します
      operationId: getReviewTaskResult
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workspace_id:
                  type: string
                  description: ワークスペース ID
                  example: '1234567890'
                task_id:
                  type: string
                  description: レビュータスク ID
                  example: '31415926'
                with_task_detail_url:
                  type: boolean
                  description: レビュータスク詳細ページ URL を返すかどうか
                  example: false
              required:
                - workspace_id
                - task_id
      responses:
        '200':
          description: レビュータスク結果の取得に成功
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
                  - type: object
                    properties:
                      result:
                        type: object
                        properties:
                          task_id:
                            type: string
                            description: レビュータスク ID
                            example: '31415926'
                          task_name:
                            type: string
                            description: タスク名
                            example: レビュータスク 1
                          task_detail_url:
                            type: string
                            description: レビュータスク詳細ページ URL
                          status:
                            $ref: '#/components/schemas/ReviewTaskStatus'
                          rule_repo:
                            type: object
                            properties:
                              repo_id:
                                type: string
                                description: レビュー規則リポジトリ ID
                                example: '31415926'
                              name:
                                type: string
                                description: レビュー規則リポジトリ名
                                example: レビュー規則リポジトリ 1
                          extract_task_ids:
                            type: array
                            items:
                              type: string
                              description: 抽出タスク ID
                              example: '1234567890'
                          statistics:
                            type: object
                            properties:
                              pass_count:
                                type: integer
                                description: 合格件数
                                example: 100
                              failure_count:
                                type: integer
                                description: 不合格件数
                                example: 100
                              error_count:
                                type: integer
                                description: タスク実行エラー件数
                                example: 100
                              not_triggered_count:
                                type: integer
                                description: 未トリガー件数
                                example: 100
                          groups:
                            type: array
                            items:
                              type: object
                              properties:
                                group_id:
                                  type: string
                                  description: レビュー規則グループ ID
                                  example: '31415926'
                                group_name:
                                  type: string
                                  description: レビュー規則グループ名
                                  example: レビュー規則グループ 1
                                review_tasks:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      rule_task_id:
                                        type: string
                                        description: レビューサブタスク ID
                                        example: '31415926'
                                      rule_id:
                                        type: string
                                        description: レビュー規則 ID
                                        example: '31415926'
                                      rule_name:
                                        type: string
                                        description: レビュー規則名
                                        example: レビュー規則 1
                                      risk_level:
                                        $ref: '#/components/schemas/RiskLevel'
                                      prompt:
                                        type: string
                                        description: レビュー規則プロンプト
                                        example: レビュー規則プロンプト
                                      review_result:
                                        $ref: '#/components/schemas/ReviewTaskStatus'
                                      reasoning:
                                        type: string
                                        description: レビュー判定理由
                                        example: レビュー判定理由
                                      anchors:
                                        type: array
                                        description: >-
                                          レビュー判定理由の位置アンカー情報。元テキスト内のレビュー判定理由の位置を特定するために使用します
                                        items:
                                          type: object
                                          properties:
                                            start_pos:
                                              type: integer
                                              description: '`reasoning` 内の開始文字位置'
                                            end_pos:
                                              type: integer
                                              description: '`reasoning` 内の終了文字位置'
                                            text:
                                              type: string
                                              description: 元テキストの内容
                                            vertices:
                                              type: array
                                              items:
                                                type: integer
                                                description: 元テキストの外接四角形座標
                                                example:
                                                  - 0
                                                  - 0
                                                  - 100
                                                  - 0
                                                  - 100
                                                  - 100
                                                  - 0
                                                  - 100
                                            file_id:
                                              type: string
                                              description: ファイル ID
                                              example: '1234567890'
                                            extract_task_id:
                                              type: string
                                              description: 抽出タスク ID
                                              example: '1234567890'
                                            page:
                                              type: integer
                                              description: ファイル内のページ番号
                                              example: 1
                                            source:
                                              type: string
                                              description: |
                                                位置アンカーのソース
                                                - "ocr": 認識結果
                                                - "extract_field": 関連フィールド
                                              example: ocr
                                              enum:
                                                - ocr
                                                - extract_field
                                            file_category:
                                              type: string
                                              description: ファイルカテゴリ
                                              example: インボイス
                                            field_name:
                                              type: string
                                              description: 関連フィールド名
                                              example: インボイスコード
                                      audit_result:
                                        type: integer
                                        description: |
                                          手動レビュー結果
                                          - 0: 手動レビュー不合格
                                          - 1: 手動レビュー合格
                                        example: 1
                                        enum:
                                          - 0
                                          - 1
                                      audit_message:
                                        type: string
                                        description: 手動レビューコメント
                                        example: 手動レビューコメント
                          model:
                            type: string
                            description: >-
                              レビュータスクモデルの表示名。履歴タスクでは `deepseek-r1（廃止済み）`
                              のように、元のモデルと廃止済みマークが返る場合があります。
                            example: deepseek-v4-pro
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: ステータスコード
          example: 200
        msg:
          type: string
          description: ステータス説明
      required:
        - code
        - msg
    ReviewTaskStatus:
      type: integer
      description: |
        タスクステータス
        - 0: 保留中
        - 1: 承認済み
        - 2: レビュー失敗
        - 3: レビュー中
        - 4: 却下
        - 5: 認識中
        - 6: キュー待ち
        - 7: 認識失敗
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
    RiskLevel:
      type: integer
      description: |
        リスクレベル
        - 10: 高リスク
        - 20: 中リスク
        - 30: 低リスク
      enum:
        - 10
        - 20
        - 30
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````